Class | Tk::Tcllib::Tkpiechart::Slice
In: | tk/lib/tkextlib/tcllib/tkpiechart.rb
Parent: | TkcItem

### Methods

delete label new pie size tag tag_key

### Included Modules

ConfigMethod

### Public Class methods

new(pie, *args)

[Source]

    # File tk/lib/tkextlib/tcllib/tkpiechart.rb, line 167
        def initialize(pie, *args)
          unless pie.kind_of?(Pie) && pie != :no_create
            fail ArgumentError, "expects TkPiechart::Pie for 1st argument"
          end

          if pie == :no_create
            @pie, @tag_key = args
          else
            text = args[0] || None
            @pie = pie
            @tag_key = tk_call_without_enc('pie::newSlice', @pie.tag_key, text)
          end
          @parent = @c = @pie.canvas
          @path = @parent.path

          @pie._entry_slice(self)

          @id = "slices(#{@tag_key})"
          @tag = TkcNamedTag.new(@pie.canvas, @id)

          CItemID_TBL[@path] = {} unless CItemID_TBL[@path]
          CItemID_TBL[@path][@id] = self
        end

### Public Instance methods

delete()

[Source]

    # File tk/lib/tkextlib/tcllib/tkpiechart.rb, line 201
        def delete
          tk_call_without_enc('pie::deleteSlice', @pie.tag_key, @tag_key)
          CItemID_TBL[@path].delete(@id) if CItemID_TBL[@path]
          @pie._delete_slice(self)
          self
        end

label(text)

[Source]

    # File tk/lib/tkextlib/tcllib/tkpiechart.rb, line 214
        def label(text)
          tk_call_without_enc('pie::labelSlice', @pie.tag_key, @tag_key, text)
          self
        end

pie()

[Source]

    # File tk/lib/tkextlib/tcllib/tkpiechart.rb, line 197
        def pie
          @pie
        end

size(share, disp=None)

[Source]

    # File tk/lib/tkextlib/tcllib/tkpiechart.rb, line 208
        def size(share, disp=None)
          tk_call_without_enc('pie::sizeSlice',
                              @pie.tag_key, @tag_key, share, disp)
          self
        end

tag()

[Source]

    # File tk/lib/tkextlib/tcllib/tkpiechart.rb, line 194
        def tag
          @tag
        end

tag_key()

[Source]

    # File tk/lib/tkextlib/tcllib/tkpiechart.rb, line 191
        def tag_key
          @tag_key
        end

[Validate]